var prefix = "/datas/dataPart"
var counts = 0;
$(document).ready(function () {
    load();
});

var load = function () {
    $('#exampleTable')
        .bootstrapTreeTable(
            {
                id: 'partId',
                code: 'partId',
                parentCode: 'parentId',
                type: "GET", // 请求数据的ajax类型
                url: prefix + '/list', // 请求数据的ajax的url
                ajaxParams: {
                    sort: 'order_num',
                    partName: $('#searchName').val()
                }, // 请求数据的ajax的data属性
                expandColumn: '1',// 在哪一列上面显示展开按钮
                striped: true, // 是否各行渐变色
                bordered: true, // 是否显示边框
                expandAll: false, // 是否全部展开
                // toolbar : '#exampleToolbar',
                columns: [
                    // {
                    //     title: '编号',
                    //     field: 'partId',
                    //     visible: false,
                    //     align: 'center',
                    //     valign: 'center',
                    //     width: '5%'
                    // },
                    {
                        field: 'no',
                        title: '序号',
                        align: "center",
                        width: "5%",
                        formatter: function (value, row, index) {
                            return showCounts();
                        }
                    },
                    {
                        title: '数据分类',
                        field: 'partName',
                    },
                    {
                        title: '数据分类描述',
                        field: 'partDesc'
                    },
                    {
                        title: '重要程度',
                        field: 'partIsMajor',
                        formatter: function (item, index) {
                            if (item.partIsMajor == '0') {
                                return '<span class="label label-primary">一般</span>';
                            } else if (item.partIsMajor == '1') {
                                return '<span class="label  label-danger">重要</span>';
                            }
                        }
                    },
                    {
                        title: '操作',
                        field: 'id',
                        align: 'center',
                        width: '20%',
                        valign: 'center',
                        formatter: function (item, index) {
                            var e = '<a class="btn btn-primary btn-sm '
                                + s_edit_h
                                + '" href="#" mce_href="#" title="编辑" onclick="edit(\''
                                + item.partId
                                + '\')"><i class="fa fa-edit"></i></a> ';
                            var p = '<a class="btn btn-primary btn-sm '
                                + s_add_h
                                + '" href="#" mce_href="#" title="添加下级" onclick="add(\''
                                + item.partId
                                + '\')"><i class="fa fa-plus"></i></a> ';
                            var d = '<a class="btn btn-warning btn-sm '
                                + s_remove_h
                                + '" href="#" title="删除"  mce_href="#" onclick="remove(\''
                                + item.partId
                                + '\')"><i class="fa fa-remove"></i></a> ';
                            return e + d + p;
                        }
                    }]
            });
}

function reLoad() {
    // $('#exampleTable').bootstrapTable('refresh');
    // $('#exampleTable').bootstrapTreeTable('refresh');
    // $('#exampleTable').bootstrapTreeTable('refresh');
    $('.fixed-table-container').removeClass("fixed-table-container");
    // $('#exampleTable').bootstrapTreeTable('destroy');
    load();
    // $("#exampleTable").bootstrapTreeTable("refresh", {
    //     silent: true //静态刷新
    // });
}

function add(pId) {
    layer.open({
        type: 2,
        title: '增加',
        maxmin: true,
        shadeClose: false, // 点击遮罩关闭层
        area: ['800px', '520px'],
        content: prefix + '/add/' + pId
    });
}

function edit(id) {
    layer.open({
        type: 2,
        title: '编辑',
        maxmin: true,
        shadeClose: false, // 点击遮罩关闭层
        area: ['800px', '520px'],
        content: prefix + '/edit/' + id // iframe的url
    });
}

function remove(id) {
    layer.confirm('确定要删除选中的记录及子项吗？', {
        btn: ['确定', '取消']
    }, function () {
        $.ajax({
            url: prefix + "/remove",
            type: "post",
            data: {
                'partId': id
            },
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    })
}

function resetPwd(id) {
}

function batchRemove() {
    var rows = $('#exampleTable').bootstrapTable('getSelections'); // 返回所有选择的行，当没有选择的记录时，返回一个空数组
    if (rows.length == 0) {
        layer.msg("请选择要删除的数据");
        return;
    }
    layer.confirm("确认要删除选中的'" + rows.length + "'条数据吗?", {
        btn: ['确定', '取消']
        // 按钮
    }, function () {
        var ids = new Array();
        // 遍历所有选择的行数据，取每条数据对应的ID
        $.each(rows, function (i, row) {
            ids[i] = row['partId'];
        });
        $.ajax({
            type: 'POST',
            data: {
                "ids": ids
            },
            url: prefix + '/batchRemove',
            success: function (r) {
                if (r.code == 0) {
                    layer.msg(r.msg);
                    reLoad();
                } else {
                    layer.msg(r.msg);
                }
            }
        });
    }, function () {

    });
}

function showCounts() {
    counts = counts + 1;
    return counts;
}